tidy.binWidth {broom} | R Documentation

## Tidy a(n) binWidth object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'binWidth'
    tidy(x, ...)

### Arguments

`x` | A `binGroup::binWidth()` object.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Value

A one-row tibble::tibble with columns:

`ci.width` | Expected width of confidence interval.
`alternative` | Alternative hypothesis.
`p` | True proportion.
`n` | Total sample size.

### See Also

`tidy()`, `binGroup::binWidth()`

Other bingroup tidiers: `glance.binDesign`, `tidy.binDesign`

### Examples

    if (require("binGroup", quietly = TRUE)) {
        bw <- binWidth(100, .1)
        bw
        tidy(bw)

        library(dplyr)
        d <- expand.grid(n = seq(100, 800, 100),
                         p = .5,
                         method = c("CP", "Blaker", "Score", "Wald"),
                         stringsAsFactors = FALSE) %>%
            group_by(n, p, method) %>%
            do(tidy(binWidth(.$n, .$p, method = .$method)))

        library(ggplot2)
        ggplot(d, aes(n, ci.width, color = method)) +
            geom_line() +
            xlab("Total Observations") +
            ylab("Expected CI Width")
    }

[Package broom version 0.5.2 Index]